Package com.google.android.exoplayer2.source

## Class UnrecognizedInputFormatException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.google.android.exoplayer2.ParserException
        - - com.google.android.exoplayer2.source.UnrecognizedInputFormatException

- All Implemented Interfaces:
    `Serializable`

      public class UnrecognizedInputFormatException
      extends ParserException

  Thrown if the input format was not recognized.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Uri` | `uri` | The `Uri` from which the unrecognized data was read.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnrecognizedInputFormatException​(String message, Uri uri)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### uri

          public final Uri uri

      The `Uri` from which the unrecognized data was read.

  - ### Constructor Detail

    - #### UnrecognizedInputFormatException

          public UnrecognizedInputFormatException​(String message,
                                                  Uri uri)

      Parameters:
        `message` - The detail message for the exception.
        `uri` - The `Uri` from which the unrecognized data was read.